"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOutputOptions = void 0;
const tslib_1 = require("tslib");
const plugin_terser_1 = tslib_1.__importDefault(require("@rollup/plugin-terser"));
const getOutputOptions = (globals, isAnalyze, isDev, packageName) => {
    const unminified = {
        file: `dist/${packageName}.js`,
        format: 'esm',
        globals,
    };
    const minified = {
        file: `dist/${packageName}.min.js`,
        format: 'esm',
        plugins: [(0, plugin_terser_1.default)()],
        globals,
    };
    const iife = {
        file: `dist/${packageName}.iife.min.js`,
        format: 'iife',
        plugins: [(0, plugin_terser_1.default)()],
        globals,
    };
    if (isDev) {
        return [unminified];
    }
    else if (isAnalyze) {
        return [minified];
    }
    else {
        return [unminified, minified, iife];
    }
};
exports.getOutputOptions = getOutputOptions;
